version: '3.5'
services:
  dcinitializer:
    image: "bscdataclay/initializer:dev20210504-alpine"
    depends_on:
      - logicmodule
    volumes:
      - /opt/dataclay/shared:/srv/dataclay/shared:rw
    environment:
      - LOGICMODULE_PORT_TCP=11034
      - LOGICMODULE_HOST=192.168.60.28
      - USER=NFRtoolUser
      - PASS=defaultPass
      - DATASET=defaultDS
      - JAVA_NAMESPACES=ElasticNFR
      - GIT_JAVA_MODELS_URLS=${GIT_JAVA_MODELS_URLS:-https://gitlab.bsc.es/elastic-h2020/elastic-sa/nfr-tool/dataclay}
      - GIT_JAVA_MODELS_PATHS=${GIT_JAVA_MODELS_PATHS:-model}
    healthcheck:
      interval: 5s
      retries: 10
      test: [ "CMD-SHELL", "/dataclay-initializer/health_check.sh" ]

  logicmodule:
    image: "bscdataclay/logicmodule:dev20210504-alpine"
    ports:
      - "11034:11034"
    volumes:
      - /opt/dataclay/storage:/dataclay/storage:rw
    environment:
      - LOGICMODULE_PORT_TCP=11034
      - LOGICMODULE_HOST=192.168.60.28
      - DATACLAY_ADMIN_USER=admin
      - DATACLAY_ADMIN_PASSWORD=admin
    stop_grace_period: 5m
    healthcheck:
      interval: 5s
      retries: 10
      test: ["CMD-SHELL", "/home/dataclayusr/dataclay/health/health_check.sh"]

  dsjava:
    image: "bscdataclay/dsjava:dev20210504-alpine"
    ports:
      - "2127:2127"
    depends_on:
      - logicmodule
    volumes:
      - /opt/dataclay/storage:/dataclay/storage:rw
    environment:
      - DATASERVICE_HOST=192.168.60.28
      - DATASERVICE_NAME=${BACKEND_NAME:-DS-cister}
      - DATASERVICE_JAVA_PORT_TCP=${DSJAVA_PORT:-2127}
      - LOGICMODULE_PORT_TCP=${LOGICMODULE_PORT:-11034}
      - LOGICMODULE_HOST=192.168.60.28
    stop_grace_period: 5m
    healthcheck:
      interval: 5s
      retries: 10
      test: ["CMD-SHELL", "/home/dataclayusr/dataclay/health/health_check.sh"]


